package com.ruoyi.project.zjsgfa.domain;


import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 设计-轨道设计对象 sj_jygjgdsj
 * 
 * @author ruoyi
 * @date 2025-08-14
 */
public class SjJygjgdsj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    /** 井底垂深 */
    @Excel(name = "井底垂深")
    private Double jdcs;

    /** 井底闭合距 */
    @Excel(name = "井底闭合距")
    private Double jdbhj;

    /** 井底闭合方位 */
    @Excel(name = "井底闭合方位")
    private Double jdbhfw;

    /** 造斜点 */
    @Excel(name = "造斜点")
    private Double zxd;

    /** 最大井斜角 */
    @Excel(name = "最大井斜角")
    private Double zdjxj;

    /** 磁倾角 */
    @Excel(name = "磁倾角")
    private Double cqj;

    /** 磁场强度 */
    @Excel(name = "磁场强度")
    private Double ccqd;

    /** 磁偏角 */
    @Excel(name = "磁偏角")
    private Double cpj;

    /** 收敛角 */
    @Excel(name = "收敛角")
    private Double slj;

    /** 方位修正角 */
    @Excel(name = "方位修正角")
    private Double fwxzj;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setJdcs(Double jdcs) 
    {
        this.jdcs = jdcs;
    }

    public Double getJdcs() 
    {
        return jdcs;
    }

    public void setJdbhj(Double jdbhj) 
    {
        this.jdbhj = jdbhj;
    }

    public Double getJdbhj() 
    {
        return jdbhj;
    }

    public void setJdbhfw(Double jdbhfw) 
    {
        this.jdbhfw = jdbhfw;
    }

    public Double getJdbhfw() 
    {
        return jdbhfw;
    }

    public void setZxd(Double zxd) 
    {
        this.zxd = zxd;
    }

    public Double getZxd() 
    {
        return zxd;
    }

    public void setZdjxj(Double zdjxj) 
    {
        this.zdjxj = zdjxj;
    }

    public Double getZdjxj() 
    {
        return zdjxj;
    }

    public void setCqj(Double cqj) 
    {
        this.cqj = cqj;
    }

    public Double getCqj() 
    {
        return cqj;
    }

    public void setCcqd(Double ccqd) 
    {
        this.ccqd = ccqd;
    }

    public Double getCcqd() 
    {
        return ccqd;
    }

    public void setCpj(Double cpj) 
    {
        this.cpj = cpj;
    }

    public Double getCpj() 
    {
        return cpj;
    }

    public void setSlj(Double slj) 
    {
        this.slj = slj;
    }

    public Double getSlj() 
    {
        return slj;
    }

    public void setFwxzj(Double fwxzj) 
    {
        this.fwxzj = fwxzj;
    }

    public Double getFwxzj() 
    {
        return fwxzj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("jdcs", getJdcs())
            .append("jdbhj", getJdbhj())
            .append("jdbhfw", getJdbhfw())
            .append("zxd", getZxd())
            .append("zdjxj", getZdjxj())
            .append("cqj", getCqj())
            .append("ccqd", getCcqd())
            .append("cpj", getCpj())
            .append("slj", getSlj())
            .append("fwxzj", getFwxzj())
            .toString();
    }
}
